Subject: Re: [PATCH] Security: Implement and document RLIMIT_NETWORK.

From: Evgeniy Polyakov <[email-masked]>
Date: Wed, 7 Jan 2009 20:48:09 +0300

On Wed, Jan 07, 2009 at 06:52:27PM +0200, Rémi Denis-Courmont ([email-masked]) wrote:
> Le mercredi 7 janvier 2009 13:47:03 Evgeniy Polyakov, vous avez écrit :
> > The same goal can be achieved with 'owner' iptables match module btw.
> 
> Err no. iptables is _not_ suitable for userland applications dropping their 
> _own_ privileges. For privileged processes, it's clumsy at best, as iptables 
> does not quite work if more than one applications uses it. That's typically 
> your firewall configuration wizard or some custom admin-made script.
> As for UNprivileged processes, iptables is not allowed.

If setting that rlimit does not require admin priviledges, then it does
not require to drop this. So it is superuser or admin who does this.
And exactly the same can be achieved with 'owner' iptables module.

If process itself changes own rlimit, then it is not a rlimit, but a
hint to how it is supposed to work.

Plus I did not see how fork is protected, i.e. does children get the
same rlimit, it looks like it does not.

> As I understand it, Michael is trying to build something similar to SECCOMP, 
> only way less restrictive and way more usable by real-life userland programs.

Security and unpriveledged setup are mutually impossible cases.

-- 
	Evgeniy Polyakov